<?php
require_once('./ServerlistBySteam.inc.php');
require_once('./Server.inc.php');
// ################################################
function exception_error_handler($errno, $errstr, $errfile, $errline ) {
    throw new ErrorException($errstr, $errno, 0, $errfile, $errline);
}
set_error_handler("exception_error_handler");
// ################################################
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>clod-server-list php-v7.4</title>
</head>
<body>
<?php
$ServerListBySteam = new CServerlistBySteam();
$ServerListBySteam->bPrintDiagnostics = false;

$ServerListBySteam->load();

print '<pre>';
foreach($ServerListBySteam->aServers as $ServerBySteam)
{
    print '<hr><hr>';
    print '<h3>Retrieve: '.$ServerBySteam->sIp.':'.$ServerBySteam->sPort.'</h3>';
    $Server = new CClodServer($ServerBySteam->sIp, $ServerBySteam->sPort);
    $Server->bPrintDiagnostics = false;
    if($Server->queryInfo())
    {
        print $Server->sHostName.PHP_EOL;
        print 'Map: '.$Server->aRawInfo['Map'].PHP_EOL;
        print strval($Server->nPlayers).' players'.PHP_EOL;
    }
}
print '</pre>';
?>
</body>
</html>